Browse Source

Add libcalfbox-lss check to configure

master
Nils 6 months ago
parent
commit
719c7fd6d5
  1. 3
      template/configure.template

3
template/configure.template

@ -7,6 +7,7 @@
prefix=/usr/local
required_version_python=3.6
required_version_pyqt=5.0
required_soname_cbox=libcalfbox-lss.so.1
for arg in "$@"; do
@ -38,6 +39,8 @@ echo "Checking Dependencies. No output is good"
function version_gt() { test "$(printf '%s\n' "$@" | sort -V | head -n 1)" != "$1"; }
ldconfig -p | grep $required_soname_cbox >/dev/null 2>&1 || { echo "$required_soname_cbox required, but it's not installed. Aborting."; exit 1; }
command -v python3 >/dev/null 2>&1 || { echo >&2 "Python3 >= $required_version_python is required but it's not installed. Aborting."; exit 1; }
PY3VERSION=$(python3 -c 'import platform; print(platform.python_version())')
if version_gt $required_version_python $PY3VERSION; then echo "Python3 must be version >= $required_version_python but is $PY3VERSION. Aborting."; exit 1; fi

Loading…
Cancel
Save